<?php

require_once ECMS_PATH.'e/dongpo/htag/config.php';

/**
	********************	辅助功能	********************
*/

//tag链接
function htag_TagUrl($tagid){
	global $empire,$dbtbpre,$htag_r;
	$tagid=(int)$tagid;
	if(!$tagid){
		return '';
	}
	if($htag_r['pt']){
		$tagurl=htag_ReWriterTagUrl($tagid,1);
		return $tagurl['pageurl'];
	}
	$add=$empire->fetch1("select py from {$dbtbpre}dp_tagsadd_2 where tagid='$tagid'");
	if(empty($add['py'])){
		$tagurl=htag_ReWriterTagUrl($tagid,1);
		return $tagurl['pageurl'];
	}
	$tagurl=htag_ReWriterTagUrl($add['py'],1);
	return $tagurl['pageurl'];
}

//tag伪静态
function htag_ReWriterTagUrl($tag,$ecms=0){
	global $public_r,$htag_r;
	if(empty($htag_r['wei']))
	{
		$r['pageurl']=$public_r['newsurl']."e/tags/htag.php?tag=".$tag;
		$r['rewrite']=0;
	}
	else
	{
		if($ecms==1)
		{
			if($htag_r['weishou']){
				$r['pageurl']=$public_r['newsurl'].str_replace("[!--tag--]",$tag,$htag_r['weishou']);
			}else{
				$r['pageurl']=$public_r['newsurl'].str_replace(array('[!--tag--]','[!--page--]'),array($tag,0),$htag_r['wei']);
			}
		}
		else
		{
			$r['pageurl']=$public_r['newsurl'].str_replace('[!--tag--]',$tag,$htag_r['wei']);
		}
		$r['rewrite']=1;
	}
	return $r;
}

//生成拼音
function htag_PinyinFun($hz,$path=''){
	global $pagechar;
	include_once(ECMS_PATH.'e/class/epinyin.php');
	//编码
	if($pagechar!='gb2312')
	{
		include_once(ECMS_PATH.'e/class/doiconv.php');
		$iconv=new Chinese($path);
		$char=$pagechar=='big5'?'BIG5':'UTF8';
		$targetchar='GB2312';
		$hz=$iconv->Convert($char,$targetchar,$hz);
	}
	return c($hz);
}

//返回tag拼音
function htag_ReTagPy($py,$tagname,$tagid,$path=''){
	global $empire,$dbtbpre,$htag_r;
	if($py){
		return $py;
	}
	if($htag_r['pt'])
	{
		return $tagid;
	}
	$py=htag_PinyinFun($tagname,$path);
	$shu=$empire->gettotal("select count(*) as total from {$dbtbpre}dp_tagsadd_2 where py='$py' and tagid<>$tagid");
	if(!$shu){
		$pypath=$py;
	}else{
		$pypath=$py.'_'.$tagid;
	}
	
	return $pypath;
}

//tag首页替换列表模板
function htag_ReplaceListVars($no,$listtemp,$subnews,$subtitle,$formatdate,$url,$haveclass=0,$r,$field,$docode=0,$ta){
	global $empire,$public_r,$class_r,$class_zr,$fun_r,$dbtbpre,$emod_r,$class_tr,$level_r,$navclassid,$etable_r;
	if($docode==1)
	{
		$listtemp=stripSlashes($listtemp);
		eval($listtemp);
	}
	if($no==1){
		$no='';
	}
	$ylisttemp=$listtemp;
	$titleurl=htag_TagUrl($r['tagid']);//链接
	$listtemp=str_replace('[!--tagname--]',$r[tagname],$listtemp);
	$listtemp=str_replace('[!--bname--]',$ta[bname],$listtemp);
	$listtemp=str_replace('[!--url--]',$titleurl,$listtemp);
	$listtemp=str_replace('[!--intro--]',$ta[intro],$listtemp);
	$listtemp=str_replace('[!--num--]',$r[num],$listtemp);
	$listtemp=str_replace('[!--isgood--]',$r[isgood],$listtemp);
	return $listtemp;
}

//tag首页伪静态
function htag_ReWriterTagIndexUrl($cid,$ecms=0){
	global $public_r,$htag_r;
	if(empty($htag_r['index']))
	{
		if($cid&empty($htag_r['indexshou'])){
			$r['pageurl']=$public_r['newsurl']."e/tags/alltags.php?cid=".$cid;
		}else{
			$r['pageurl']=$public_r['newsurl']."e/tags/alltags.php";
		}
		$r['rewrite']=0;
	}
	else
	{
		if($ecms==1)
		{
			if($cid){
				$r['pageurl']=$public_r['newsurl'].str_replace(array('[!--cid--]','[!--page--]'),array($cid,0),$htag_r['index']);
			}else{
				$r['pageurl']=$public_r['newsurl'].$htag_r['indexshou'];
			}
		}
		else
		{
			$r['pageurl']=$public_r['newsurl'].str_replace('[!--cid--]',$cid,$htag_r['index']);
		}
		$r['rewrite']=1;
	}
	return $r;
}

//tag分类链接
function htag_TagClassUrl($cid){
	$u=htag_ReWriterTagIndexUrl($cid,1);
	return $u['pageurl'];
}

//nav导航
function htag_ReturnTagLinkStr($classid=0,$classname='',$tagid=0,$tagname=''){
	global $public_r,$htag_r,$fun_r;
	$zj="&nbsp;".$public_r[navfh]."&nbsp";
	$indexurl=htag_ReWriterTagIndexUrl(0,1);
	$str='<a href="'.$public_r['newsurl'].'">'.$fun_r['index'].'</a>'.$zj.'<a href="'.$indexurl['pageurl'].'">'.$htag_r['indexname'].'</a>';
	if($classid&&$classname){
		$str.=$zj.'<a href="'.htag_TagClassUrl($classid).'">'.$classname.'</a>';
	}
	if($tagid&&$tagname){
		$str.=$zj.'<a href="'.htag_TagUrl($tagid).'">'.$tagname.'</a>';
	}
	return $str;
}

?>